package com.zapylaev.webchat.command.request.validator;

import com.zapylaev.webchat.persistence.connection.ChatConnection;

import java.sql.Connection;

/**
 * @author Kirill Zapylaiev <zapylaev@gmail.com>
 */
public class InputValidator {
    public static final int PASSWORD_EMPTY = 0;
    public static final int PASSWORDS_DO_NOT_MATCH = 1;
    public static final int LOGIN_IS_EXIST = 2;
    public static final int SUCCESS = 3;

    public static int validateRegistration(String password, String passwordRepeat, String login) {
        if (password.isEmpty()) {
            return PASSWORD_EMPTY;
        }
        if (!password.equals(passwordRepeat)) {
            return PASSWORDS_DO_NOT_MATCH;
        }
        Connection connection = ChatConnection.getInstance().getConnection();
        // TODO verify user login
        return SUCCESS;
    }
}
