package com.zapylaev.webchat.command.response;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;

/**
 * @author Kirill Zapylaiev <zapylaev@gmail.com>
 */
public class ForwardResponse implements CommandResponse {
    private String forwardTo;

    public ForwardResponse(String forwardTo) {
        this.forwardTo = forwardTo;
    }

    @Override
    public void execute(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
        RequestDispatcher dispatcher = request.getRequestDispatcher(forwardTo);
        dispatcher.forward(request, response);
    }
}
