package com.zapylaev.webchat.command.response;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.io.PrintWriter;

/**
 * User: Kirill.Zapylaev
 * Date: 17.03.13
 * Time: 0:04
 */
public class SimpleTextResponse implements CommandResponse {
    private final String text;

    public SimpleTextResponse(String text) {
        this.text = text;
    }

    @Override
    public void execute(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
        PrintWriter writer = response.getWriter();
        writer.print(text);
        writer.flush();
        writer.close();
    }
}
