SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0;
SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0;
SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='TRADITIONAL,ALLOW_INVALID_DATES';

CREATE SCHEMA IF NOT EXISTS `chat_db` DEFAULT CHARACTER SET utf8 COLLATE utf8_general_ci ;
USE `chat_db` ;

-- -----------------------------------------------------
-- Table `chat_db`.`users`
-- -----------------------------------------------------
CREATE  TABLE IF NOT EXISTS `chat_db`.`users` (
  `idusers` INT NOT NULL AUTO_INCREMENT ,
  `name` VARCHAR(45) NULL ,
  `login` VARCHAR(45) NOT NULL ,
  `password` VARCHAR(45) NOT NULL ,
  PRIMARY KEY (`idusers`) )
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `chat_db`.`recent_chat`
-- -----------------------------------------------------
CREATE  TABLE IF NOT EXISTS `chat_db`.`recent_chat` (
  `idrecent_chat` INT NOT NULL AUTO_INCREMENT ,
  `message` VARCHAR(300) NULL ,
  `idusers` INT NULL ,
  PRIMARY KEY (`idrecent_chat`) ,
  INDEX `idusers_idx` (`idusers` ASC) ,
  CONSTRAINT `idusers`
    FOREIGN KEY (`idusers` )
    REFERENCES `chat_db`.`users` (`idusers` )
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;

USE `chat_db` ;


SET SQL_MODE=@OLD_SQL_MODE;
SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS;
SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS;
