package com.zapylaev.webchat.command.response;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;

/**
 * User: Kirill.Zapylaev
 * Date: 16.03.13
 * Time: 23:03
 */
public class RedirectResponse implements CommandResponse {
    private String pageRedirect;

    public RedirectResponse(String pageRedirect) {
        this.pageRedirect = pageRedirect;
    }

    @Override
    public void execute(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
        response.sendRedirect(pageRedirect);
    }
}
