package com.zapylaev.webchat.persistence.dao;

/**
 * @author Kirill Zapylaiev <zapylaev@gmail.com>
 */
public class DAOFactory {
    public static UserDAO createUserDAO() {
        return new JDBCUserDao();
    }

    public static MessageDAO createMessageDao() {
        return new JDBCMessageDao();
    }
}
