package com.zapylaev.webchat.properties;

import java.util.Properties;

/**
 * User: Kirill.Zapylaev
 * Date: 14.03.13
 * Time: 0:22
 */
public class Pages {

    public static final String CHAT_PAGE = "CHAT_PAGE";
    public static final String ERROR_PAGE = "ERROR_PAGE";
    public static final String REGISTRATION_PAGE = "REGISTRATION_PAGE";
    public static final String REGISTRATION_SUCCESS_PAGE = "REGISTRATION_SUCCESS_PGE";

    public static final String LOGIN_REQUEST_ACTION = "login";
    public static final String CHAT_REQUEST_ACTION = "chat";

    public static final String REGISTRATION_REQUEST_ACTION = "registration";

    private static final Properties PROPERTIES = new Properties();

    static {
        PROPERTIES.setProperty(CHAT_PAGE, "chat.jsp");
        PROPERTIES.setProperty(ERROR_PAGE, "error.jsp");
        PROPERTIES.setProperty(REGISTRATION_PAGE, "registration.jsp");
        PROPERTIES.setProperty(REGISTRATION_SUCCESS_PAGE, "success.jsp");
    }


    public static String getPagePath(String pageName) {
        return PROPERTIES.getProperty(pageName);
    }
}
