<%@ page contentType="text/html;charset=UTF-8" language="java" %>

<html>
<head>
    <link rel="stylesheet" type="text/css" href="${pageContext.request.contextPath}/css/main.css"/>

    <script src="${pageContext.request.contextPath}/js/jquery-1.9.1.js"></script>
    <script src="${pageContext.request.contextPath}/js/cookies.js"></script>
    <script>
        var messagesWaiting = false;

        // FIXME it's not work!
//        jQuery(document).ready(init());
        onload = init;

        function init() {
            initListeners();
            getMessages();
            setInterval(getMessages, 1000);
        }

        function postMessage() {
            var xmlhttp = new XMLHttpRequest();
            xmlhttp.open("POST", "${pageContext.request.contextPath}/chat?t=" + new Date(), false);
            xmlhttp.setRequestHeader("Content-Type", "application/x-www-form-urlencoded");
            var messageText = encodeURI(document.getElementById("inputMessage").value);
            document.getElementById("inputMessage").value = "";
            xmlhttp.send("message=" + messageText);

            getMessages();
        }

        function initListeners() {
//            alert("init listener for input field");
            $('#inputMessage').keyup(function(event){
                if(event.keyCode == 13){
//                    alert("key press!");

                    $("#send").click();
                }
            });
        }

        function getMessages() {
            if(!messagesWaiting){
                messagesWaiting = true;
                var xmlhttp = new XMLHttpRequest();
                xmlhttp.open("GET", "${pageContext.request.contextPath}/chat?t=" + new Date(), true);
                xmlhttp.onreadystatechange = function() {
                    onServerAnswered(xmlhttp);
                }
                xmlhttp.send(null);
            }
        }

        function onServerAnswered(xmlhttp) {
            if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
                messagesWaiting = false;

                var jsonMessages = $.parseJSON(xmlhttp.responseText);
                $("#chatTable").find("tr").remove();

                $(jsonMessages).each(function(index, message) {
                    $("#chatTable").prepend("<tr></tr>");

                    var messageDate = $("<td>" + message.date + "</td>");
                    var messageUserName = $("<td>" + message.userName + "</td>");
                    var messageText = $("<td>" + message.message + "</td>");

                    var chatTableRow = $("#chatTable").find("tr").first();
                    chatTableRow.append(messageDate)
                            .append(messageUserName)
                            .append(messageText);
                });
            }
        }
    </script>
</head>

<body>

<div id="content">

    <div id="center"><img src="${pageContext.request.contextPath}/images/image.png" width="20%">

        <p>
            <b>Say something:</b>
            <br>
            <input id="inputMessage" type="text" size="70">
        </p>
        <input type="button" id="send" value="Send" onclick="postMessage();">
        <input type="reset" value="Clear">

    </div>
    
    <br>

    <div id="chat">
        <table id="chatTable" border="1"></table>
    </div>

    <div id="jsonChat"></div>
</div>

</body>
</html>
